# collada.scene.MaterialNode

class collada.scene.MaterialNode(symbol, target, inputs, xmlnode=None)

  Represents a material being instantiated in a scene, as defined in the collada <instance_material> tag.

  __init__(symbol, target, inputs, xmlnode=None)

    Creates a material node

    Parameters:

      - symbol (str) – The symbol within a geometry this material should be bound to

      - target (collada.material.Material) – The material object being bound to

      - inputs (list) – A list of tuples of the form `(semantic, input_semantic, set)` mapping texcoords or other inputs to material input channels, e.g. `('TEX0', 'TEXCOORD', '0')` would map the effect parameter `'TEX0'` to the `'TEXCOORD'` semantic of the geometry, using texture coordinate set `0`.

      - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(symbol, target, inputs[, xmlnode]) | Creates a material node
  `load`(collada, node) | Load and return a class instance from an XML node.
  `objects`() | Iterate through all objects under this node that match tipo.
  `save`() | Saves the material node back to `xmlnode`

  Attributes

  `xmlnode` | ElementTree representation of the material node.
  `symbol` | The symbol within a geometry this material should be bound to
  `target` | An object of type `collada.material.Material` representing the material object being bound to
  `inputs` | A list of tuples of the form `(semantic, input_semantic, set)` mapping texcoords or other inputs to material input channels, e.g. `('TEX0', 'TEXCOORD', '0')` would map the effect parameter `'TEX0'` to the `'TEXCOORD'` semantic of the geometry, using texture coordinate set `0`.